Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class Manager_2_0_0

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.AbstractManager
          org.deegree.ogcwebservices.csw.manager.Manager_2_0_0

All Implemented Interfaces:
  Manager

    public class Manager_2_0_0

extends AbstractManager

Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.csw.manager.AbstractManager
`harvester, IN_XSL, OUT_XSL, wfsService`

Constructor Summary
`Manager_2_0_0()`

Method Summary
`EchoRequest` | `harvestRecords(Harvest request)`
`TransactionResult` | `transaction(Transaction request)` performs a transaction request by transforming and forwarding it to the WFS used as backend

Methods inherited from class org.deegree.ogcwebservices.csw.manager.AbstractManager
`getWFService, init, initHarvester, startAllHarvester, stopAllHarvester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Manager_2_0_0

    public Manager_2_0_0()

Method Detail

### harvestRecords

    public EchoRequest harvestRecords(Harvest request)
                               throws OGCWebServiceException

  Returns:
    An echorequest (e.g. a response to an harvest request).
  Throws:
    `OGCWebServiceException` - if something went wrong while processing the request

### transaction

    public TransactionResult transaction(Transaction request)
                                  throws OGCWebServiceException

  Description copied from interface: `Manager`
  performs a transaction request by transforming and forwarding it to the WFS used as backend

  Returns:
    Created by sending the request to the underlying wfs.
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org